* appendix figure 3--effect in other years

set more off 
use data/town_level_2013, clear


local pops pop pop2 pop_within_25 pop2_within_25

local estabs number_within_25 number2_within_25 estabs estabs2 

local geography  cities_within_25 border_within_25

local demo manu_percent service_percent business_percent white_percent poverty_percent college_percent 

local distances 20 25 30 35 40

foreach dist in `distances'{

	* do it in dollars for a few specs	
	qui ivregress 2sls  lsubsidy_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe ,vce(cl county) 
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	estimates store intens_`dist'_13

	
	qui ivregress 2sls  lsubsidy_avg (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe ,vce(cl county) 
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	estimates store intens_`dist'_avg

	* do it with an indicator for a few specs	
	qui ivprobit exemp_city_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	estimates store extens_`dist'_13

	qui ivprobit exemp_city (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	estimates store extens_`dist'_avg

}

* panel A

coefplot ///
	(intens_20_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black)) mlabc(black) mlabs(4)) ///
	(intens_20_avg, offset(0.2) msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8)) mlabc(black) mlabs(4)) ///
	(intens_25_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(intens_25_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	(intens_30_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(intens_30_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	(intens_35_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(intens_35_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	(intens_40_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(intens_40_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	, keep(idas*) yline(0) color(black) vert  ///
	legend(order(2 4) label(2 "2013") label(4 "Average")) ///
	xtitle(IDAs within distance) graphregion(color(white)) bgcolor(white) ///
	ytitle(Regression Coefficient) ///
	scale(1) rename(idas_within_20=20km idas_within_25=25km idas_within_30=30km ///
	idas_within_35=35km idas_within_40=40km)

* panel B

coefplot ///
	(extens_20_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black)) mlabc(black) mlabs(4)) ///
	(extens_20_avg, offset(0.2) msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8)) mlabc(black) mlabs(4)) ///
	(extens_25_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(extens_25_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	(extens_30_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(extens_30_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	(extens_35_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(extens_35_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	(extens_40_13,  msize(large) msymbol(D) color(black) ciopts(lcol(black))  mlabc(black) mlabs(4)) ///
	(extens_40_avg, offset(0.2)  msize(large) msymbol(S) color(gs8) ciopts(lcol(gs8))  mlabc(black) mlabs(4)) ///
	, keep(idas*) yline(0) vert  ///
	legend(order(2 4) label(2 "2013") label(4 "Average")) ///
	xtitle(IDAs within distance) graphregion(color(white)) bgcolor(white) ///
	ytitle(Probit Coefficient) ///
	scale(1) rename(idas_within_20=20km idas_within_25=25km idas_within_30=30km ///
	idas_within_35=35km idas_within_40=40km)

