* appendix table 2--heterogeneity by taxing body


set more off
use data/town_level_2013, clear

local rhs pop pop2  pop_within_25 pop2_within_25 cities_within_25 number_within_25 number2_within_25 border_within_25 ///
	estabs estabs2 ///
	manu_percent service_percent business_percent white_percent poverty_percent college_percent 
local distances 25

* tax body
foreach dist in `distances'{

	qui ivregress 2sls  lnet_county_exemp (idas_within_`dist'=counties_within_`dist') `rhs' i.county_fe,vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	qui ivregress 2sls  lnet_school_exemp (idas_within_`dist'=counties_within_`dist') `rhs' i.county_fe,vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)	
	qui ivregress 2sls  lnet_local_exemp (idas_within_`dist'=counties_within_`dist') `rhs' i.county_fe,vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)	
	qui ivregress 2sls  lstate_exemp_2013 (idas_within_`dist'=counties_within_`dist') `rhs' i.county_fe,vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
}

* enterprise zones

foreach dist in `distances'{
	qui ivprobit ez_tv (idas_within_`dist'=counties_within_`dist') `rhs' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
}

