* appendix table 4--alternative specifications

set more off
use data/town_level_2013, clear

local pops pop pop2  pop_within_25 pop2_within_25

local estabs number_within_25 number2_within_25 estabs estabs2 

local geography  cities_within_25 border_within_25

local demo manu_percent service_percent business_percent white_percent poverty_percent college_percent 

local dist 25

* LPM to avoid incidental parameters
qui ivregress 2sls exemp_city_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe, vce(cl county)
sum exemp_city_2013
estimates table, keep(idas_within_`dist') b se t p stats(N)

* tobit
qui ivtobit lsubsidy_2013 `pops' `estabs' `geography' `demo' i.county_fe  (idas_within_`dist'=counties_within_`dist'), ll(0) vce(cl county)
sum lsubsidy_2013
estimates table, keep(idas_within_`dist') b se t p stats(N)

* inverse hyperbolic sine
gen hypsine=log(net_exemp_2013+(net_exemp_2013+1)^1/2)
qui ivregress 2sls  hypsine (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe ,vce(cl county)
sum hypsine
estimates table, keep(idas_within_`dist') b se t p stats(N)

* percent subsidized
qui ivregress 2sls  perc_exemp_2013 (idas_within_`dist'=counties_within_`dist') `pops' `geography' `demo' i.county_fe ,vce(cl county)
sum perc_exemp_2013
estimates table, keep(idas_within_`dist') b se t p stats(N)

