* appendix table 6--splitting firms by sector and size

set more off
use data/town_level_2013, clear

* create some indicator variables for exemptions of various types
gen net_rs=net_exemp_retl_2013+net_exemp_srvce_2013
gen net_mf=net_exemp_manu_2013+net_exemp_fin_2013

gen lsubsidy_small=log(small_exemp+1)
replace lsubsidy_small=0 if lsubsidy_small==.

gen lsubsidy_big=log(big_exemp+1)
replace lsubsidy_big=0 if lsubsidy_big==.

gen lsubsidy_vbig=log(very_big_exemp+1)
replace lsubsidy_vbig=0 if lsubsidy_vbig==.


gen exemp_city_rs=0
replace exemp_city_rs=1 if net_rs>0

gen exemp_city_mf=0
replace exemp_city_mf=1 if net_mf>0

gen exemp_city_small=0
replace exemp_city_small=1 if lsubsidy_small>0

gen exemp_city_big=0
replace exemp_city_big=1 if lsubsidy_big>0

gen exemp_city_vbig=0
replace exemp_city_vbig=1 if lsubsidy_vbig>0

* run regressions using these indicators as outcomes
local rhs pop pop2  pop_within_25 pop2_within_25 cities_within_25 number_within_25 number2_within_25 border_within_25 ///
	estabs estabs2 ///
	manu_percent service_percent business_percent white_percent poverty_percent college_percent 
local sectors mf rs small big vbig
local dist 25

*iv

foreach sector in `sectors'{
	di "`sector'"
		
	qui ivprobit exemp_city_`sector' (idas_within_`dist'=counties_within_`dist') `rhs' i.county_fe , vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
}


