clear all
format shortG 
warning('off','MATLAB:nearlySingularMatrix')

% add matlab functions to path
addpath('matlab_functions')

% load estimation file
load('data/full_formatted_data')

%% evaluate at three values of beta dist

sims=10;
beta_tax_list=[-600];
factor_list=[400,600,750];
kappa_prop_list=[.292];
kappa_emp_list=[43500];
gammas=zeros(3,4);

for tax_i=1:1;
    for dist_i=1:3;
        for prop_i=1:1;
            for emp_i=1:1;
                beta_tax=beta_tax_list(tax_i);
                beta_distance=factor_list(dist_i);
                kappa_prop=kappa_prop_list(prop_i);
                kappa_emp=kappa_emp_list(emp_i);
                param=[beta_distance,kappa_prop,kappa_emp];
                moments=simulate_moments(param,struct_id,struct_id_auct,distances,poverty_percent,property_tax_2013,property_tax_2008,exemption_year,ida_vector,prop,emp, liability_2008, liability_2013, property_tax,bid_options, ...
                                    bid_plans,z,x,z20,x20,z30,x30,z35,x35,z40,x40,true_b20_2013,true_b25_2013,true_b30_2013, ...
                                    true_b35_2013,true_b40_2013,true_percent_pos_2013,true_p25_subs_2013,true_sum_2013, ...
                                    true_b20_2008,true_b25_2008,true_b30_2008,true_b35_2008,true_b40_2008,true_percent_pos_2008,...
                                    true_p25_subs_2008,true_sum_2008,num,sims, county_number,pref_loc_matrix,active_2008,active_2013, ...
                                    true_emp_corr_2013, true_emp_corr_2008,state_sales_exemptions_2013,property_exemptions_2008,property_exemptions_2013)

                 gammas(dist_i,:)=moments(1:4);
                 
            end;
        end;
    end;
end;
         
%% plot the returned gamma estimate
xaxis=[25,30,35,40];
colors={'blue','orange','black'}

% plot gammas versus ratio

figure()
hold on
set(findobj(gca, 'Type', 'Line', 'Linestyle', '--'), 'LineWidth', 2);

for i = 1:3;

        gamma_temp=squeeze(gammas(i,:));
        plot(xaxis, gamma_temp,'LineWidth',1)

end;

title('\gamma_x versus ratio') 
ylabel('Coefficient value') 
xlabel('Distance') 
legend('-2.5','-1.66','-1.33')
legend('Location','SouthWest') 
hold off










