function subsidy_ban=subsidy_ban(param,struct_id,struct_id_auct,distances,poverty_percent,property_tax_2013,property_tax_2008,exemption_year,ida_vector,prop,emp, liability_2008, liability_2013, property_tax,bid_options, ...
                                    bid_plans,num,sims, county_number,pref_loc_matrix,error_mat,active_2013)
tic
rng('default') 

% estimated parameters
beta_tax=param(1);
beta_distance=beta_tax/param(2);
kappa_prop=param(3);
kappa_emp=param(4);
beta_pov=0;


% simulation parameters
inner_num=50;

% initialize storage
final_loc=zeros(num,inner_num);
subsidy_2013=final_loc;
subsidy_2008=final_loc;
town_prop_total_m=zeros(1096,inner_num,sims);
town_subsidy_total_m=town_prop_total_m;
town_jobs_total_m=town_prop_total_m;

%% run simulation

for sim=1:sims;
    
    parfor obs=1:num;
        
        % pull the preferred location for the firms
        pref_loc=pref_loc_matrix(obs,sim);
        
        % nab the possible locations
        possible_loc = struct_id(distances(pref_loc,:)<40);
    
        % tv attractiveness
        delta=beta_distance*distances(pref_loc,possible_loc)' + beta_tax*property_tax(possible_loc);

        % compute probabilities and simulate final locations
        p=exp(delta)/sum(exp(delta));
        final_loc(obs,:) = datasample(possible_loc,inner_num,'Weights',p);

    end;


    % given those simulations, we want to collapse subsidies to the town
    % level and get our statistics



    % now we collapse by struct_id. slowly;
    town_prop_total=zeros(1096,inner_num);
    town_jobs_total=zeros(1096,inner_num);
    
    for inner_sim=1:inner_num;
        
        for i=1:1096;
            
  
            final_loc_temp=final_loc(:,inner_sim);
            town_prop_total(i,inner_sim)=sum(prop(final_loc_temp==i & active_2013==1)*property_tax_2013(i));
            town_jobs_total(i,inner_sim)=sum(emp(final_loc_temp==i & active_2013==1));
            
        end;
  
    end;
      
    
    town_jobs_total_m(:,:,sim)=town_jobs_total;    
    town_prop_total_m(:,:,sim)=town_prop_total;
        
end;  

% totals
avg_total_revenue=sum(sum(sum(town_prop_total_m)))/(50*sims);

    
toc        
    
subsidy_ban={avg_total_revenue,final_loc};

