clear all
format shortG 
warning('off','MATLAB:nearlySingularMatrix')

% set file path to replication folder
cd('your file path')

%% note:

% in order to make the calibration of the variance of the error term in the firm profit
% function easier to implement, the beta tax parameter was scaled in the
% code and then converted back to -1 for the tables in the paper.  the code
% optimizes over scaled values of beta_tax, and the implied calibration of
% the error variance is given by -1000/beta_tax.  in addition, rather than
% optimizing over values of beta_dist, i optimize over values of the ratio
% beta_tax/beta_dist.  these conversions are necessary to map parameter
% estimates in the paper to the corresponding estimates in the code.

%% table 5 

% baseline parameter estimates 
baseline_estimation

% baseline standard errors
baseline_standard_errors

% manufacturing/finance parameter estimates 
manu_finance_estimation

% manufacturing/finance standard errors
manu_finance_standard_errors

% retail/services parameter estimates 
retail_services_estimation

% retail/services standard errors
retail_services_standard_errors

%% table 6 (including changes to subsidy totals cited in section 6.2)

% all firms, baseline parameters 
baseline_location_change

% retail/services firms, retail/services parameters 
retail_services_location_change

% manufacturing/finance firms, manufacturing/finance parameters
manu_finance_location_change

% all firms, sector-specific parameters 

% note that the all firms, sector-specific parameters results are simply 
% the weighted average of the retail/services and manufacturing finance
% estimates, with a weight of 1212/2024 on manufacturing and 1012/2024 on
% retail.

%% table 7

% estimate parameters
poverty_estimation

% run counterfactuals
poverty_location_change

%% figure 4
% panel a (estimated parameters)
amherst_example_baseline

% panel b (alternative parameters)
amherst_example_alternate

%% appendix table 8

% all firms, baseline parameters 
baseline_set_change

% retail/services firms, retail/services parameters 
retail_services_set_change

% manufacturing/finance firms, manufacturing/finance parameters
manu_finance_set_change

% all firms, sector-specific parameters 

% note that the all firms, sector-specific parameters results are simply 
% the weighted average of the retail/services and manufacturing finance
% estimates, with a weight of 1212/2024 on manufacturing and 1012/2024 on
% retail.

%% appendix figure 4

model_fit

%% appendix figure 5

% simulate gammas under different values of beta dist
gamma_identification

%% appendix figure 6

% simulate subsidy sums under different values of kappa prop
kappa_identification





