*table 3--main results

set more off
use data/town_level_2013, clear

local pops pop pop2  pop_within_25 pop2_within_25

local estabs number_within_25 number2_within_25 estabs estabs2 

local geography  cities_within_25 border_within_25

local demo manu_percent service_percent business_percent white_percent poverty_percent college_percent 

local distances 25


foreach dist in `distances'{

	* do it in dollars for a few specs
	qui ivregress 2sls  lsubsidy_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' ,vce(cl county) 
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
	qui ivregress 2sls  lsubsidy_2013 (idas_within_`dist'=counties_within_`dist')   `pops' `estabs' `geography' ,vce(cl county) 
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
	qui ivregress 2sls  lsubsidy_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' i.county_fe ,vce(cl county) 
	estimates table, keep(idas_within_`dist') b se t p stats(N)
		
	qui ivregress 2sls  lsubsidy_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe ,vce(cl county) 
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
	
	* do it with an indicator for a few specs	
	qui ivprobit exemp_city_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' , vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
	qui ivprobit exemp_city_2013 (idas_within_`dist'=counties_within_`dist')  `pops' `estabs' `geography'  , vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
	qui ivprobit exemp_city_2013 (idas_within_`dist'=counties_within_`dist')  `pops' `estabs' `geography' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
	qui ivprobit exemp_city_2013 (idas_within_`dist'=counties_within_`dist') `pops' `estabs' `geography' `demo' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)

}

* ols
foreach dist in `distances'{
	qui reg lsubsidy_2013 idas_within_`dist'  `pops' `estabs' `geography' `demo' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	qui probit exemp_city_2013 idas_within_`dist'  `pops' `estabs' `geography' `demo' i.county_fe, vce(cl county)
	estimates table, keep(idas_within_`dist') b se t p stats(N)
	
* first stage f-statistic (cited in footnote 11)
xtset county_fe
xtreg idas_within_25 counties_within_25 `pops' `estabs' `geography' `demo', fe
	
}
